Bug 1253940 - array_merge(): Argument #1 is not an array in /usr/share/pear/Net/Sieve.php on line 312
array_merge(): Argument #1 is not an array in /usr/share/pear/Net/Sieve.php o...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: php-pear-Net-Sieve (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-15 17:06 EDT by Vladislav Grigoryev
Modified: 2016-01-12 23:26 EST (History)
2 users (show)

See Also:
Fixed In Version: php-pear-Net-Sieve-1.3.4-4.fc23 php-pear-Net-Sieve-1.3.4-4.fc22 php-pear-Net-Sieve-1.3.4-4.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-07 14:56:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
PEAR 20983 None None None Never

  None (edit)
Description Vladislav Grigoryev 2015-08-15 17:06:37 EDT
Description of problem:
/var/log/roundcubemail/errors:
PHP Warning:  array_merge(): Argument #1 is not an array in /usr/share/pear/Net/Sieve.php on line 312

Version-Release number of selected component (if applicable):
php-pear-Net-Sieve-1.3.4-1.fc22.noarch

How reproducible:
Always.

Steps to Reproduce:
1. Configure roundcubemail + sieve:
/etc/roundcubemail/config.inc.php:
...
$config['managesieve_usetls'] = true;
$config['managesieve_conn_options'] = array(
  'ssl' => array(
    'cafile' => '/etc/pki/tls/certs/ca.example.org.crt',
  ),
);
...
2. Login to roundcubemail and open sieve filters.
3. Check log-file /var/log/roundcubemail/errors.
Comment 1 Remi Collet 2015-11-10 01:27:26 EST
This is only a warning.

According to Net_Sieve code... this is not fixed.. merging NULL + given array.

Can you please report this upstream ?
http://pear.php.net/bugs/report.php?package=Net_Sieve
Comment 2 Remi Collet 2015-11-10 01:34:25 EST
See https://github.com/pear/Net_Sieve/pull/6

@ArcFi can you please test the proposed fix ?
Comment 3 Vladislav Grigoryev 2015-11-14 05:12:26 EST
(In reply to Remi Collet from comment #1)
> Can you please report this upstream ?
> http://pear.php.net/bugs/report.php?package=Net_Sieve

Done:
https://pear.php.net/bugs/bug.php?id=20983

(In reply to Remi Collet from comment #2)
> See https://github.com/pear/Net_Sieve/pull/6
> @ArcFi can you please test the proposed fix ?

This patch resolves the issue.
Thank you.
Comment 4 Fedora Update System 2015-12-28 09:46:35 EST
php-pear-Net-Sieve-1.3.4-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-92199cc75e
Comment 5 Fedora Update System 2015-12-28 09:46:40 EST
php-pear-Net-Sieve-1.3.4-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-5cf44b35b2
Comment 6 Fedora Update System 2015-12-28 19:25:49 EST
php-pear-Net-Sieve-1.3.4-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-cf039cefc4
Comment 7 Fedora Update System 2015-12-28 19:54:49 EST
php-pear-Net-Sieve-1.3.4-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-92199cc75e
Comment 8 Fedora Update System 2015-12-30 15:54:08 EST
php-pear-Net-Sieve-1.3.4-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-5cf44b35b2
Comment 9 Fedora Update System 2016-01-07 14:56:09 EST
php-pear-Net-Sieve-1.3.4-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-01-07 22:21:17 EST
php-pear-Net-Sieve-1.3.4-4.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-01-12 23:26:21 EST
php-pear-Net-Sieve-1.3.4-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.